# Disaggregation algorithm

This disaggregation algorithm enables the coupling of two tools:

- KomMod, an energy optimization tool developed at Fraunhofer ISE;
- SimStadt, an urban energy simulation platform developed at the Stuttgart University of Applied Sciences.

The combination of these tools results in a framework that allows the study of optimal solutions for the provision of heat to buildings in both urban and rural regions.

For further technical details please refer to this journal article:
Steingrube, A.; Bao, K.; Wieland, S.; Lalama, A.; Kabiro, P.M.; Coors, V.; Schröter, B. A Method for Optimizing and Spatially Distributing Heating Systems by Coupling an Urban Energy Simulation Platform and an Energy System Model. _Resources_ 2021, 10, 52. https://doi.org/10.3390/resources10050052

## Prerequisites

- Street segments created using [this](https://transfer.hft-stuttgart.de/gitlab/ensource-2/street-segmentation) tool

## Example usage

- Generate disaggregated grid using all of the street segments in the provided street segment file:
  - `python disaggregation_lookahead.py -s input_segments/rainau_stat_lines_with_industry.csv`

---

For the web app implementation, please check the `webapp` branch.
